summaryrefslogtreecommitdiffstats
path: root/office/keepassx
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-21 23:20:16 -0400
committer Chess Griffin <chess@chessgriffin.com>2010-05-23 23:11:19 -0500
commite2ab4a02b74535111a9cda16ea557dd6b49545e8 (patch)
treefce373cf6c5017e04a4a1346a8ef7f436f13c22c /office/keepassx
parentbff1d0ce570cbbac28618ac491bcdf4323c517de (diff)
downloadslackbuilds-e2ab4a02b74535111a9cda16ea557dd6b49545e8.tar.gz
slackbuilds-e2ab4a02b74535111a9cda16ea557dd6b49545e8.tar.xz
Revert "office/keepassx: Removed (build failure)"
This reverts commit 311017a4161806a00cffc8b473ac3990f37ee550. Update to version 0.4.3 which builds on -current; miscellaneous script cleanup.
Diffstat (limited to 'office/keepassx')
-rw-r--r--office/keepassx/README10
-rw-r--r--office/keepassx/doinst.sh8
-rw-r--r--office/keepassx/keepassx.SlackBuild84
-rw-r--r--office/keepassx/keepassx.info10
-rw-r--r--office/keepassx/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/office/keepassx/README b/office/keepassx/README
new file mode 100644
index 0000000000..0b1dd29870
--- /dev/null
+++ b/office/keepassx/README
@@ -0,0 +1,10 @@
+keepassx - personal data management application
+
+KeePassX is an application for people with extremly high demands on
+secure personal data management KeePassX saves many different information
+e.g. user names, passwords, urls, attachmets and comments in one single
+database. For a better management user-defined titles and icons can be
+specified for each single entry. Furthermore the entries are sorted in
+groups, which are customizable as well. The integrated search function
+allows to search in a single group or the complete database. KeePassX
+offers a little utility for secure password generation.
diff --git a/office/keepassx/doinst.sh b/office/keepassx/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/office/keepassx/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/office/keepassx/keepassx.SlackBuild b/office/keepassx/keepassx.SlackBuild
new file mode 100644
index 0000000000..80b5949a6f
--- /dev/null
+++ b/office/keepassx/keepassx.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for KeePassX
+
+# Copyright 2008-2009 Ferenc Deak <ferenc.deak@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=keepassx
+VERSION=0.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/keepassx-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# there is no manpage
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/keepassx/keepassx.info b/office/keepassx/keepassx.info
new file mode 100644
index 0000000000..f483ef9fae
--- /dev/null
+++ b/office/keepassx/keepassx.info
@@ -0,0 +1,10 @@
+PRGNAM="keepassx"
+VERSION="0.4.1"
+HOMEPAGE="http:///www.keepassx.org/"
+DOWNLOAD="http://downloads.sourceforge.net/keepassx/keepassx-0.4.1.tar.gz"
+MD5SUM="96efdf5855703e3d2817973d5e2b0fcf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="fdeak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="rworkman"
diff --git a/office/keepassx/slack-desc b/office/keepassx/slack-desc
new file mode 100644
index 0000000000..e35242f630
--- /dev/null
+++ b/office/keepassx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+keepassx: keepassx (personal data management application)
+keepassx:
+keepassx: KeePassX is an application for people with extremly high demands on
+keepassx: secure personal data management
+keepassx: KeePassX saves many different information e.g. user names, passwords,
+keepassx: urls, attachmets and comments in one single database. For a better
+keepassx: management user-defined titles and icons can be specified for each
+keepassx: single entry. Furthermore the entries are sorted in groups, which are
+keepassx: customizable as well. The integrated search function allows to search
+keepassx: in a single group or the complete database. KeePassX offers a little
+keepassx: utility for secure password generation.